TQScintilla: TQextScintillaLexerPython Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerPython Class Reference

The TQextScintillaLexerPython class encapsulates the Scintilla Python lexer. More...

`#include <tqextscintillalexerpython.h>`

Inherits TQextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- WhiteSpace = Default
- Comment = 1
- Number = 2
- DoubleQuotedString = 3
- SingleQuotedString = 4
- Keyword = 5
- TripleSingleQuotedString = 6
- TripleDoubleQuotedString = 7
- ClassName = 8
- FunctionMethodName = 9
- Operator = 10
- Identifier = 11
- CommentBlock = 12
- UnclosedString = 13
- HighlightedIdentifier = 14
- Decorator = 15
- NoWarning = 0
- Inconsistent = 1
- TabsAfterSpaces = 2
- Spaces = 3
- Tabs = 4
- enum {
  Default = 0, WhiteSpace = Default, Comment = 1,
  Number = 2, DoubleQuotedString = 3, SingleQuotedString = 4,
  Keyword = 5, TripleSingleQuotedString = 6, TripleDoubleQuotedString = 7,
  ClassName = 8, FunctionMethodName = 9, Operator = 10,
  Identifier = 11, CommentBlock = 12, UnclosedString = 13,
  HighlightedIdentifier = 14, Decorator = 15
  }
- enum IndentationWarning {
  NoWarning = 0, Inconsistent = 1, TabsAfterSpaces = 2,
  Spaces = 3, Tabs = 4
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldQuotes (bool fold)
- virtual void setIndentationWarning (IndentationWarning warn)

## Public Member Functions

- TQextScintillaLexerPython (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerPython ()
- const char * language () const
- const char * lexer () const
- const char * autoCompletionStartCharacters () const
- int blockLookback () const
- const char * blockStart (int *style=0) const
- int braceStyle () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldQuotes () const
- IndentationWarning indentationWarning () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The TQextScintillaLexerPython class encapsulates the Scintilla Python lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Python lexer.

Enumerator:

  Default | The default.
  WhiteSpace | Deprecated: White space.
  Comment | A comment.
  Number | A number.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Keyword | A keyword.
  TripleSingleQuotedString | A triple single-quoted string.
  TripleDoubleQuotedString | A triple double-quoted string.
  ClassName | The name of a class.
  FunctionMethodName | The name of a function or method.
  Operator | An operator.
  Identifier | An identifier.
  CommentBlock | A comment block.
  UnclosedString | The end of a line where a string is not closed.
  HighlightedIdentifier | A highlighted identifier. These are defined by keyword set 2. Reimplement keywords() to define keyword set 2.
  Decorator | A decorator.

enum TQextScintillaLexerPython::IndentationWarning

This enum defines the different conditions that can cause indentations to be displayed as being bad.

Enumerator:

  NoWarning | Bad indentation is not displayed differently.
  Inconsistent | The indentation is inconsistent when compared to the previous line, ie. it is made up of a different combination of tabs and/or spaces.
  TabsAfterSpaces | The indentation is made up of spaces followed by tabs.
  Spaces | The indentation contains spaces.
  Tabs | The indentation contains tabs.

## Constructor & Destructor Documentation

TQextScintillaLexerPython::TQextScintillaLexerPython | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerPython with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerPython::~TQextScintillaLexerPython | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerPython instance.

## Member Function Documentation

const char* TQextScintillaLexerPython::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements TQextScintillaLexer.

const char* TQextScintillaLexerPython::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerPython::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerPython::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexer.

TQFont TQextScintillaLexerPython::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexer.

const char* TQextScintillaLexerPython::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexer.

TQString TQextScintillaLexerPython::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements TQextScintillaLexer.

TQColor TQextScintillaLexerPython::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexer.

void TQextScintillaLexerPython::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerPython::foldComments | ( |  | ) | const

Returns true if indented comment blocks can be folded.

See also:
  setFoldComments()

bool TQextScintillaLexerPython::foldQuotes | ( |  | ) | const

Returns true if triple quoted strings can be folded.

See also:
  setFoldQuotes()

IndentationWarning TQextScintillaLexerPython::indentationWarning | ( |  | ) | const

Returns the condition that will cause bad indentations to be displayed.

See also:
  setIndentationWarning()

virtual void TQextScintillaLexerPython::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then indented comment blocks can be folded. The default is false.

See also:
  foldComments()

virtual void TQextScintillaLexerPython::setFoldQuotes | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then triple quoted strings can be folded. The default is false.

See also:
  foldQuotes()

virtual void TQextScintillaLexerPython::setIndentationWarning | ( | IndentationWarning | warn | ) | `[virtual, slot]`

Sets the condition that will cause bad indentations to be displayed.

See also:
  indentationWarning()

bool TQextScintillaLexerPython::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.

bool TQextScintillaLexerPython::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from TQextScintillaLexer.